# Patch Delete Subscriber

## Update Subscriber IMSI

> Update Subscriber IMSI from the Edge. The Delete Subscriber API is used to manually detach a subscriber from the Edge. This action sends a detach request to the UE. releaseip parameter is added to instruct the edge to keep or remove the ip assigned during lease. Default value is false. When it is set to true, existing IP assigned during previos attach will be release and new IP will be allocated on next attach.

```json
{"openapi":"3.0.0","info":{"title":"Monogoto Edge User API Configuration","version":"2.0"},"servers":[{"url":"https://api.monogoto.io/api"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"bearerFormat":"JWT","scheme":"bearer","type":"http"}},"parameters":{"edgeIp":{"description":"The IP address of the edge","in":"path","name":"edgeIp","required":true,"schema":{"enum":["Monogoto Edge IP"],"type":"string"}}},"requestBodies":{},"responses":{"BadInput":{"content":{"application/json":{"schema":{"type":"object"}}},"description":"Invalid Input"}}},"paths":{"/v1/edge/{edgeIp}/deletesubscriber":{"patch":{"description":"Update Subscriber IMSI from the Edge. The Delete Subscriber API is used to manually detach a subscriber from the Edge. This action sends a detach request to the UE. releaseip parameter is added to instruct the edge to keep or remove the ip assigned during lease. Default value is false. When it is set to true, existing IP assigned during previos attach will be release and new IP will be allocated on next attach.","parameters":[{"$ref":"#/components/parameters/edgeIp"}],"requestBody":{"$ref":"#/components/requestBodies/deletesubscriberPatch"},"responses":{"200":{"$ref":"#/components/responses/deletesubscriberPatchSuccess"},"400":{"$ref":"#/components/responses/BadInput"}},"summary":"Update Subscriber IMSI","tags":["Delete Subscriber"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.monogoto.io/private-networks/monogoto-edge/edge-api/patch-delete-subscriber.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
